<?php

namespace App\Http\Controllers;

use App\Models\ModelEntity;
use App\Http\Requests\StoreModelEntityRequest;
use App\Http\Requests\UpdateModelEntityRequest;

class ModelEntityController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(StoreModelEntityRequest $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(ModelEntity $modelEntity)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(ModelEntity $modelEntity)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(UpdateModelEntityRequest $request, ModelEntity $modelEntity)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(ModelEntity $modelEntity)
    {
        //
    }
}
